Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002206KdenliveFile Loadingpublic2011-07-01 13:502011-11-01 18:56
Reporterigloo 
Assigned Toj-b-m 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target VersionFixed in Version0.8.2 
Summary0002206: Crash loading project
DescriptionWhen loading one of my projects, kdenlive crashes when the "Loading project" progress bar is at 50%.

I have r5754.
Additional InformationApplication: Kdenlive (kdenlive), signal: Segmentation fault
[KCrash Handler]
0000006 mlt_deque_pop_back (self=0x0) at mlt_deque.c:130
0000007 0x00007ff97160f8ec in producer_avformat_close (self=0x2a1f980) at producer_avformat.c:2573
0000008 0x00007ff9925ed636 in cache_object_close (object=<value optimized out>, data=0x0, cache=<value optimized out>) at mlt_cache.c:131
0000009 0x00007ff9925edb58 in mlt_cache_put (cache=0x2a22910, object=0x46c2410, data=0x46c3c30, size=0, destructor=0x7ff97160f7d0 <producer_avformat_close>) at mlt_cache.c:355
0000010 0x00007ff9716139b1 in producer_avformat_init (profile=0x18f9a10, service=<value optimized out>, file=0x46c3bd4 "/home/ian/ext1/wedding/1_prep/kdenlive/proxy/8f645e7bd00b6ab8f933c4d8f5fcf697.ts") at producer_avformat.c:215
0000011 0x00007ff9925eb18a in mlt_factory_producer (profile=0x18f9a10, service=0x46c3bc0 "avformat-novalidate", input=0x46c3bd4) at mlt_factory.c:250
0000012 0x00007ff971820e8a in create_producer (profile=0x18f9a10, file=0x402f5a0 "avformat-novalidate:/home/ian/ext1/wedding/1_prep/kdenlive/proxy/8f645e7bd00b6ab8f933c4d8f5fcf697.ts") at producer_loader.c:63
0000013 0x00007ff97182113c in producer_loader_init (profile=0x18f9a10, type=<value optimized out>, id=0x1420950 "loader", arg=<value optimized out>) at producer_loader.c:198
0000014 0x00007ff9925eb18a in mlt_factory_producer (profile=0x18f9a10, service=0x1420950 "loader", input=0x402f5a0) at mlt_factory.c:250
0000015 0x00007ff96e709e16 in on_end_producer (ctx=<value optimized out>, name=<value optimized out>) at producer_xml.c:570
0000016 on_end_element (ctx=<value optimized out>, name=<value optimized out>) at producer_xml.c:1204
0000017 0x00007ff986d3ba05 in ?? () from /usr/lib/libxml2.so.2
0000018 0x00007ff986d4524b in xmlParseElement () from /usr/lib/libxml2.so.2
0000019 0x00007ff986d43efa in xmlParseContent () from /usr/lib/libxml2.so.2
0000020 0x00007ff986d4505b in xmlParseElement () from /usr/lib/libxml2.so.2
0000021 0x00007ff986d4609a in xmlParseDocument () from /usr/lib/libxml2.so.2
0000022 0x00007ff96e70b26b in producer_xml_init (profile=<value optimized out>, servtype=<value optimized out>, id=<value optimized out>, data=0x245b338 "<?xml version='1.0' encoding='utf-8'?>\n<mlt title=\"Anonymous Submission\" root=\"/home/ian/ext1/wedding/1_prep\">\n <producer in=\"0\" out=\"167981\" id=\"black\">\n <property name=\"mlt_type\">producer</property"...) at producer_xml.c:1540
0000023 0x00007ff9925eb18a in mlt_factory_producer (profile=0x18f9a10, service=0x739c01 "xml-string", input=0x245b338) at mlt_factory.c:250
0000024 0x00007ff9923c3d44 in Mlt::Producer::Producer(Mlt::Profile&, char const*, char const*) () from /home/ian/code/melt/inst/lib/libmlt++.so.3
0000025 0x00000000004cbf86 in Render::setSceneList (this=0x18f9b10, playlist=..., position=18967) at /home/ian/code/kdenlive/kdenlive/src/renderer.cpp:1061
0000026 0x00000000004e17fe in KdenliveDoc::setSceneList (this=0x1e71bf0) at /home/ian/code/kdenlive/kdenlive/src/kdenlivedoc.cpp:328
0000027 0x00000000004f89b3 in TrackView::TrackView (this=0x2281df0, doc=<value optimized out>, ok=0x7fffc05affaf, parent=0x140b4b0) at /home/ian/code/kdenlive/kdenlive/src/trackview.cpp:111
0000028 0x000000000047b213 in MainWindow::doOpenFile (this=0x140b4b0, url=..., stale=<value optimized out>) at /home/ian/code/kdenlive/kdenlive/src/mainwindow.cpp:2062
0000029 0x000000000047e28b in MainWindow::openFile (this=0x140b4b0, url=...) at /home/ian/code/kdenlive/kdenlive/src/mainwindow.cpp:2018
0000030 0x000000000047e5a3 in MainWindow::openFile (this=0x140b4b0) at /home/ian/code/kdenlive/kdenlive/src/mainwindow.cpp:1943
0000031 0x0000000000480278 in MainWindow::qt_metacall (this=0x140b4b0, _c=QMetaObject::InvokeMetaMethod, _id=11, _a=0x7fffc05b0570) at /home/ian/code/kdenlive/kdenlive/build/src/cmake_bindir/mainwindow.moc:398
0000032 0x00007ff991b9917a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000033 0x00007ff991ba121f in ?? () from /usr/lib/libQtCore.so.4
0000034 0x00007ff991b9ca59 in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
0000035 0x00007ff98d0586d4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000036 0x00007ff98d05d561 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000037 0x00007ff9915f2fb6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
0000038 0x00007ff991b865fc in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
0000039 0x00007ff991bb2fa2 in ?? () from /usr/lib/libQtCore.so.4
0000040 0x00007ff991bb07b8 in ?? () from /usr/lib/libQtCore.so.4
0000041 0x00007ff98b2bf4a3 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
0000042 0x00007ff98b2bfc80 in ?? () from /lib/libglib-2.0.so.0
0000043 0x00007ff98b2bff1d in g_main_context_iteration () from /lib/libglib-2.0.so.0
0000044 0x00007ff991bb111f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000045 0x00007ff98d0fc68e in ?? () from /usr/lib/libQtGui.so.4
0000046 0x00007ff991b85802 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000047 0x00007ff991b859ff in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000048 0x00007ff991b89bd7 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
0000049 0x00000000004524bb in main (argc=2, argv=0x7fffc05b15d8) at /home/ian/code/kdenlive/kdenlive/src/main.cpp:89
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0007023)
j-b-m (administrator)
2011-07-04 23:07

I disabled the "Do not validate" trick on project opening, svn rev. 5763

- Issue History
Date Modified Username Field Change
2011-07-01 13:50 igloo New Issue
2011-07-04 23:07 j-b-m Note Added: 0007023
2011-07-04 23:07 j-b-m Status new => resolved
2011-07-04 23:07 j-b-m Fixed in Version => Recent git
2011-07-04 23:07 j-b-m Resolution open => fixed
2011-07-04 23:07 j-b-m Assigned To => j-b-m
2011-07-05 12:15 j-b-m Fixed in Version Recent git => 0.8.2
2011-11-01 18:56 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker